# These helper methods can be called in your template to set variables to be used in the layout
# This module should be included in all views globally,
# to do so you may need to add this line to your ApplicationController
#   helper :layout
module LayoutHelper
  def title(page_title, html_title=nil)
    content_for(:title) { (page_title || '').html_safe.to_s }
    content_for(:html_title) { (html_title || page_title || '').html_safe.to_s }
  end
  
  def subtitle(page_subtitle)
    content_for(:subtitle) { page_subtitle.to_s }
  end

  def navigace(page_navigace)
    content_for(:navigace) { page_navigace.join(' | ') }
  end
   
  def stylesheet(*args)
    content_for(:head) { stylesheet_link_tag(*args.map(&:to_s)) }
  end
  
  def javascript(*args)
    args = args.map { |arg| arg == :defaults ? arg : arg.to_s }
    content_for(:head) { javascript_include_tag(*args) }
  end
end
 
